Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface PropertyDocument.Property

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  PropertyDocumentImpl.PropertyImpl

Enclosing interface:
  PropertyDocument

    public static interface PropertyDocument.Property

extends org.apache.xmlbeans.XmlObject

An XML property(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `PropertyDocument.Property.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getName()` Gets the "name" attribute
`java.lang.String` | `getValue()` Gets the "value" attribute
`boolean` | `isSetValue()` True if has "value" attribute
`void` | `setName(java.lang.String name)` Sets the "name" attribute
`void` | `setValue(java.lang.String value)` Sets the "value" attribute
`void` | `unsetValue()` Unsets the "value" attribute
`org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" attribute
`org.apache.xmlbeans.XmlString` | `xgetValue()` Gets (as xml) the "value" attribute
`void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" attribute
`void` | `xsetValue(org.apache.xmlbeans.XmlString value)` Sets (as xml) the "value" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getName

    java.lang.String getName()

  Gets the "name" attribute

### xgetName

    org.apache.xmlbeans.XmlString xgetName()

  Gets (as xml) the "name" attribute

### setName

    void setName(java.lang.String name)

  Sets the "name" attribute

### xsetName

    void xsetName(org.apache.xmlbeans.XmlString name)

  Sets (as xml) the "name" attribute

### getValue

    java.lang.String getValue()

  Gets the "value" attribute

### xgetValue

    org.apache.xmlbeans.XmlString xgetValue()

  Gets (as xml) the "value" attribute

### isSetValue

    boolean isSetValue()

  True if has "value" attribute

### setValue

    void setValue(java.lang.String value)

  Sets the "value" attribute

### xsetValue

    void xsetValue(org.apache.xmlbeans.XmlString value)

  Sets (as xml) the "value" attribute

### unsetValue

    void unsetValue()

  Unsets the "value" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD